<?php

class ErrorController extends Zend_Controller_Action {
  public function errorAction() {
    $errors = $this->_getParam('error_handler');

    switch($errors->type) {
      case Zend_Controller_Plugin_ErrorHandler::EXCEPTION_NO_CONTROLLER:
      case Zend_Controller_Plugin_ErrorHandler::EXCEPTION_NO_ACTION:
        break;
      default:
        break;
    }

    $this->view->exception = $errors->exception;
  }
}
